std::hash< experimental::shared_ptr< _Tp > > Struct Template Reference

Inherits std::__hash_base< _Result, _Arg >.

## Public Types

typedef _Arg | argument_type
typedef _Result | result_type

## Public Member Functions

size_t | operator() (const experimental::shared_ptr< _Tp > &__s) const noexcept

## Detailed Description

### template<typename _Tp>
struct std::hash< experimental::shared_ptr< _Tp > >

std::hash specialization for shared_ptr.

Definition at line 669 of file experimental/bits/shared_ptr.h.

The documentation for this struct was generated from the following file:

- experimental/bits/shared_ptr.h